Page MenuHomePhabricator

Reconsider cluster pin interaction
Closed, DeclinedPublic

Description

Parallel testing of clusters in their current implementation (zoom) and proposed implementation (fanning) will occur next week.


Let's make sure the interactions on the clustered pin style is tested with user testers.

We discussed this early on, and decided to keep it as is. But as I've been using it, my intuition is strongly to have a single tap do "something" that acts on the pin without changing the map, and then a double tap for the zoom in.

That the "something" shouldn't be a table view popover, which could get weird quick on phones. But maybe there is a specialized treatment that limits the list to like ~3 top items or a shrinky dink cell style?

Its shippable as is, but Id like to revisit before we do.

Event Timeline

JMinor created this task.Mar 8 2017, 2:45 AM
Restricted Application added a project: Wikipedia-iOS-App-Backlog. · View Herald TranscriptMar 8 2017, 2:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JMinor triaged this task as Normal priority.Mar 8 2017, 2:48 AM
JMinor updated the task description. (Show Details)
This comment was removed by JoeWalsh.

Hi @JoeWalsh and @JMinor I've been playing around with the fanned out pins this weekend and although I think it's a really creative (and so nicely animated!) solution to the clustering problem I still prefer the zoom.

The fanning out solves the problem of being more quickly recoverable than the zoom, however the overlay presentation feels more disruptive than the zoom to me. I'm worried a bit as well about the legibility of relationship between the fanned pins, and to the cluster itself. Finally, I'm concerned about the size of the fanned pins, as the thumbnail pins and clusters are the same size, this breaks up our presentation hierarchy.

Additionally, if we feel strongly about the fanning out, we can always do a few user tests on Usertesting.com with the current fanning animation.

My design suggestions moving forward are:

  • slow down the animation slightly on the zoom in, with the goal of a less jarring transition
  • try a version where clicking on the cluster exposes all of the pins on the map without changing the zoom level (pins would be presented as small pins and not thumbnails)
  • if user testing shows there are problems with the zoom in approach and there is a preference for fanning in user testing, then I can work on a fanning design that addresses the problems I stated above.
JoeWalsh added a comment.EditedMar 13 2017, 7:12 PM

@cmadeo thanks for the feedback!

I pushed an update to the internal beta (1093) that helps correlate the group to the overlay presentation - the group pin now is involved in the transition animation. With regard to the size, the latest betas have a larger thumbnail size than the group. When using it on the device with a smaller thumbnail size, it was difficult to discern what any of the images were in the thumbnails, so I made them larger. With regard to the informational hierarchy, were you suggesting that the thumbnails be smaller or larger than the group pins?

The latest beta has a slower zoom animation, so that will carry through even if we remove the group modal.

When exposing all the pins on the map from a group, would they appear at their actual location, then the user would be able to optionally zoom in to interact with them?

JoeWalsh added a comment.EditedMar 13 2017, 7:14 PM

Latest beta demo:

cmadeo updated the task description. (Show Details)Mar 16 2017, 9:38 PM
JMinor closed this task as Declined.Apr 26 2017, 5:24 PM